Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{gatewayHost}/api/collection/transactions \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "afc38122-5595-4621-b550-2608ec6acf4f", "transactionId": "ORDER_12345", "fspId": "CLICKPESA", "amount": "1000.00", "currency": "TZS", "collectionMethod": "USSD_PUSH", "status": "PENDING", "orderReference": "MMOCMNPDQP1Y61", "collectedAmount": "0.00", "fspFee": "0.00", "createdAt": "2026-04-24T08:07:17.823Z" } ], "total": 42, "page": 1, "limit": 10, "totalPages": 5 }
Paginated, newest first.
Bearer token from POST /generate-token. Expires ~1h; on 401, re-generate and retry once.
Collection transactions